{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

<div class="modal fade" id="modal-anomalie-ressources" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">
                    POI concernés
                </h4>
            </div>
            {% set tooltipOptions = {'side': 'right'} | json_encode %}
            <div class="box-header{% if is_breaker %} bg-warning{% endif %}">
                {% if is_breaker %}
                    <span class="fa fa-warning text-red _tooltip" title="Cette anomalie est bloquante : les POI concernés n'ont pas été importés"  data-tooltip={{ tooltipOptions }}></span>
                {% else %}
                    <span class="fa fa-warning text-gray _tooltip" title="Cette anomalie n'est pas bloquante : elle n'a pas empêché l'importation des POI"  data-tooltip={{ tooltipOptions }}></span>
                {% endif %}
                {{ content }}
            </div>
            <div class="modal-body no-padding">
                <table class="table no-margin">
                    <tbody><tr>
                        <th>Identifiant</th>
                        <th>Libellé</th>
                        <th>Type</th>
                        <th>Type second.</th>
                        <th>Créateur</th>
                        <th>Code Postal</th>
                        <th>Ville</th>
                    </tr>
                    {% for rdfResource in rdf_resources %}
                        <tr>
                            <td>{{ rdfResource.identitySIT }}</td>
                            <td>{{ rdfResource.label }}</td>
                            <td>{{ rdfResource.type }}</td>
                            <td>{{ rdfResource.type2 }}</td>
                            <td>{{ rdfResource.creator }}</td>
                            <td>{{ rdfResource.postalCode }}</td>
                            <td>{{ rdfResource.city }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Fermer</button>
            </div>
        </div>
    </div>
</div>